import clsx from "clsx";

export default function Warning({
  type,
  className,
}: {
  type: "caution" | "critical";
  className?: string;
}) {
  return (
    <div
      className={clsx(
        "rounded-full flex items-center justify-center ",
        type === "caution" &&
          "bg-[#F9A530] 2xl:size-[0.972vw] size-[14px] 2xl:border-[0.069vw] border-[1px] border-white",
        type === "critical" && "bg-[#FF4517] 2xl:size-[1.111vw] size-4",
        className
      )}
    >
      !
    </div>
  );
}
